Latest Arduino IDEs

Any idea when Industruino will be supported on Arduino IDE greater than version 1.6.5. I need to evaluate some Arduino 101 boards which only work on 1.6.7 or greater. Have to look at installing multiple versions of the IDEs. Would be great if Industruino could work of the latest version of the IDE.

Raghuram Shenoy
Raghuram Shenoy
7
| 0 0 0
Asked on 6/19/16, 4:40 AM
0
vote
774 Views

I was able to make it work by comparing directory structures.

My previous answer is here: https://industruino.com/forum/help-1/question/build-failure-is-industruino-1286-compatible-with-arduino-1-6-6-on-osx-el-capitan-114

Hope this helps.

Stefano Giuseppe Bonvini
Stefano Giuseppe Bonvini
567
| 0 0 0
Answered on 7/20/16, 7:37 AM
0
vote

Maybe will be usefull to use command-line support for IDE, or even another powerfull editor (I am using Emacs), and then just compile/upload with proper board and architecture. The correct definitions files and libraries must be copied in correct folders, as described somewehere here (I guess its called Runing Industruino under linux).

For command line parameters and usage look on:

https://github.com/arduino/Arduino/blob/master/build/shared/manpage.adoc

Richard Fela
Richard Fela
32
| 0 0 0
Answered on 7/19/16, 7:27 AM
0
vote

Your answer

Please try to give a substantial answer. If you wanted to comment on the question or answer, just use the commenting tool. Please remember that you can always revise your answers - no need to answer the same question twice. Also, please don't forget to vote - it really helps to select the best questions and answers!

Ask a Question

Keep Informed

About This Forum

This community is for professionals and enthusiasts of our products and services.

Read Guidelines

Question tools

28 follower(s)

Stats

Asked: 6/19/16, 4:40 AM
Seen: 774 times
Last updated: 7/20/16, 7:37 AM